Package org.eclipse.net4j.util

## Class WrappedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.net4j.util.WrappedException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class WrappedException
      extends java.lang.RuntimeException

  An unchecked exception that wraps a checked exception. Wrapping occurs conditionally in the static `wrap()` methods.
  Author:
    Eike Stepper
  See Also:
    Serialized Form
  No Extend
    This class is not intended to be subclassed by clients.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Exception` | `exception()` |
    `static java.lang.Exception` | `unwrap​(java.lang.Exception exception)` |
    `static java.lang.RuntimeException` | `wrap​(java.lang.Exception exception)` |
    `static java.lang.RuntimeException` | `wrap​(java.lang.Exception exception, java.lang.String message)` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### exception

          public java.lang.Exception exception()

    - #### wrap

          public static java.lang.RuntimeException wrap​(java.lang.Exception exception,
                                                        java.lang.String message)

      Since:
        3.1

    - #### wrap

          public static java.lang.RuntimeException wrap​(java.lang.Exception exception)

    - #### unwrap

          public static java.lang.Exception unwrap​(java.lang.Exception exception)